IPTRAF-NG(8)

NOM
iptraf — Moniteur de réseau local IP interactif et coloré

SYNOPSIS
iptraf-ng { [ -f ] [ { -i interface | -g | -d interface | -s interface | -z interface | -l interface } [ -t m ] [ -B [ -L fichier_journal ] ] ] | [ -h ] }

DESCRIPTION
iptraf-ng est un moniteur de réseau local IP basé sur ncurses qui génère diverses statistiques réseau comme les informations TCP, les décomptes UDP, les informations ICMP et OSPF, la charge Ethernet, les statistiques sur les nœuds, les erreurs de somme de contrôle IP, etc.

Si la commande iptraf-ng est exécutée sans options de ligne de commande, le programme se présente en mode interactif avec diverses possibilités d’action accessibles depuis le menu principal.

OPTIONS
La commande peut aussi être exécutée avec les options suivantes :

-i interface
    démarrer immédiatement le moniteur de trafic IP sur l’interface spécifiée ou sur toutes les interfaces si « -i all » est spécifié.

-g  lancer immédiatement la collecte générale de statistiques sur les interfaces.

-d interface
    cette option permet de lancer immédiatement la collecte de détails sur l’interface indiquée.

-s interface
    cette option permet de monitorer immédiatement le trafic TCP et UDP sur l’interface indiquée.

-z interface
    afficher les décomptes de paquets en fonction de leur taille sur l’interface indiquée.

-l interface
    démarrer le moniteur de la station du réseau local sur l’interface indiquée ou sur toutes les interfaces du réseau local si « -l all » est spécifié.

-t m
    cette option permet de demander à IPTraf-ng de n’exécuter l’action spécifiée que pendant m minutes. Elle ne peut être utilisée qu’en combinaison avec une des options ci-avant.

-B  rediriger la sortie standard vers /dev/null, fermer l’entrée standard et fourcher le programme vers l’arrière-plan. Cette option ne peut être utilisée qu’en combinaison avec une des options ci-avant. Un signal USR2 doit être envoyé au processus en arrière-plan pour le terminer.

-L fichier_journal
    cette option permet de spécifier un nom de fichier journal de remplacement. Le nom de fichier journal par défaut est basé soit sur l’interface sélectionnée (statistiques détaillées sur l’interface, statistiques de service TCP/UDP, répartition des paquets en fonction de leur taille), soit sur l’instance du dispositif (moniteur de trafic IP, moniteur de la station du réseau local). Si le chemin n’est pas spécifié, le fichier journal sera placé dans /var/log/iptraf-ng.

-f  réinitialiser tous les verrous et compteurs, ce qui a pour effet de faire croire à l’instance de IPTraf-ng qu’elle s’exécute pour la première fois. Cette option ne doit être utilisée que pour récupérer d’un arrêt anormal ou d’un plantage système.

-h  afficher un résumé des commandes.

SIGNAUX

 SIGUSR1 — effectuer une rotation des journaux pendant l’exécution du programme.
 SIGUSR2 — terminer un processus IPTraf-ng s’exécutant en arrière-plan.

FICHIERS
 /var/log/iptraf-ng/*.log — fichier journal
 /var/lib/iptraf-ng/* — fichiers de données importants d’IPTraf-ng

VOIR AUSSI
 Documentation/* — la documentation complète écrite par l’auteur

AUTEUR
Gerard Paul Java (riker@mozcom.com)

AUTEUR DU MANUEL
Frederic Peters (fpeters@debian.org), en utilisant « iptraf-ng -h ». Modifications de la page du manuel général par Gerard Paul Java (riker@mozcom.com), Phil Cameron (pcameron@redhat.com)

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.